#!/bin/sh
# Author: Didier Spaier, Paris, France
#
# Before running this script, adapt the paths to your installation.
. ./slint_functions.sh
SLACKVERSION="15.0"
ARCH=64
DATESTAMP=`date +%Y%m%d`
PKGLISTS="$ROOTDIR/pkg_lists/$DATESTAMP/"
ISODIR=~/iso64
mkdir -p $ISODIR/slint/locales
metadata() {
# Write the metadata
printf "%b" "Write the metadata. This takes a while...\n"
( cd $ISODIR
printf "%b" "Running metagen all...\n"
sh $ROOTDIR/metagen.sh all
printf "%b" "Running metagen clean...\n"
sh $ROOTDIR/metagen.sh clean
printf "%b" "Running metagen md5...\n"
sh $ROOTDIR/metagen.sh md5
)
}
# First step install the packages and write the metadata
# ======================================================
#
echo "Copy all packages but those in slint/locales..."
while read PACKAGE; do
  cp $PACKAGE $ISODIR/slint
done < $PKGLISTS/PACKAGES
echo "Copy packages in slint/locales..."
while read PACKAGE; do
  cp $PACKAGE $ISODIR/slint/locales
done <$PKGLISTS/slint_locales
while read PACKAGE; do
  cp $PACKAGE $ISODIR/slint/locales
done <$PKGLISTS/slackware_locales
cp $SLINTREPO/DONOTREMOVEME.TXT $ISODIR/slint/
printf "%b" "to write the metadata type yes"
read -r answer
[ "$answer" = "yes" ] && metadata
echo "All done."
